CALL "%~d0%~p0\Funciones_Base.bat"
setlocal ENABLEDELAYEDEXPANSION

IF "%3."=="." GOTO NOECHO
IF "%3"=="ECHOBLACK" GOTO ECHOBLACK
IF "%3"=="ECHOGREEN" GOTO ECHOGREEN
IF "%3"=="ECHORED" GOTO ECHORED
goto NOECHO

:NOECHO
ECHO %date% %time% %2
goto  Guardar_LOG

:ECHOBLACK
%ECHOBLACK% %date% %time% %2
goto  Guardar_LOG

:ECHORED
%ECHORED% %date% %time% %2
goto  Guardar_LOG

:ECHOGREEN
%ECHOGREEN% %date% %time% %2
goto  Guardar_LOG

:Guardar_LOG
Echo %date% %time% %~2 >>%1
goto :EOF
